#ifndef PLOT_COLORCHOOSER_H
#define PLOT_COLORCHOOSER_H

#include <QObject>
#include <QWidget>
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QApplication>

class plot_colorChooser : public QWidget
{
    Q_OBJECT
public:
    explicit plot_colorChooser(QWidget *parent = nullptr);
    void updateRectSizes();

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

signals:
    void colorChoosed(QColor, int);

private:
    QColor colors[9];
    QRect rects[9];
    int hMini = 0;
    int hMini3 = 0;
    QFont font;
    int alpha;
};

#endif // PLOT_COLORCHOOSER_H
