#pragma once

#include <plot.h>
#include "container/container.h"
#include "core/plot_core.h"

class DataPlot: public QWidget
{
    Q_OBJECT

private slots:
    void on_BCrop_clicked();

public:
    void closeEvent(QCloseEvent *event) override;
    DataPlot(QWidget *parent = nullptr);
    static DataPlot* GetIt() noexcept;

    QSplitter *Splitter;
    TContainer *Container;
    plot::TPlot *MyPl;

private:
    bool eventFilter(QObject *Obj, QEvent *Event) override;
};
