#ifndef SCHBREAKER_H
#define SCHBREAKER_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPolygon>
#include <QPaintEngine>

class schBreaker : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schBreaker(QWidget *parent = nullptr);
    void recalcPoints() override;

    bool turnOn;
    int rectCenter = 4;
    QPoint *offPos;
    int offset;

public slots:
    void setState(bool on);
    void setState_man(bool on);

signals:
    void changedState(bool st);

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    bool hovered[2];
    QPolygon **polyHover;

public slots:
};

#endif // SCHBREAKER_H
