#ifndef SETPOINTEDIT_H
#define SETPOINTEDIT_H


#include <QTextEdit>
#include <QObject>
#include <QWidget>
#include <QEvent>
#include "abstractinoutlines.h"
#include "gui/edit.hpp"

class schEdit : public Edit, public AbstractInOutLines
{
public:
    schEdit(double min, double max, int decimal, QWidget *parent = nullptr);
    void updatePointsPosition();
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
};

#endif // SETPOINTEDIT_H
