#ifndef SCHEXTOSC_H
#define SCHEXTOSC_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>
#include <QLabel>

class schExtOsc: public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schExtOsc(QWidget *parent = nullptr);
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    int boxX;
    int boxY;
    int boxW;
    int boxH;
    QLabel *headText;

signals:

public slots:
};

#endif // SCHEXTOSC_H
