#ifndef SCHTRIANGLE_H
#define SCHTRIANGLE_H

#include <QObject>
#include <QWidget>
#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>
#include <QLabel>

class schTriangle : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    enum triDirection { Up, Down, Left, Right };
    explicit schTriangle(triDirection dir, const QString &text, QWidget *parent = nullptr);
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    QLabel *textLabel;
    triDirection direction;
    QFont font;
    int triaRX;
    int triaRY;
    int triaW;
    int triaH;
    int triaLX;
    int triaLY;

signals:

public slots:
};

#endif // SCHTRIANGLE_H
