#ifndef SPLASHABOUTWINDOW_H
#define SPLASHABOUTWINDOW_H

#include <qsplashscreen.h>
#include <QDebug>
#include <QPainter>
#include "modules.hpp"
#include <QLabel>
#include <QApplication>
#include <QToolBar>
#include <QLayout>
#include <QPushButton>
#include <QShortcut>
#include "gui/controls.h"
#include "mainwindow.h"

QSplashScreen *makeSplash();

class TAboutWindow : public QWidget
{
    Q_OBJECT //for some translations
public:
    TAboutWindow(QWidget *parent);
};
class TAboutModule : public QObject, public I_MODULE
{
    Q_OBJECT
public slots:
    void on_PBAbout_clicked();
public:
    TAboutModule();
    static const QLatin1String name() { return QLatin1String("about"); }
    void *basecast(const QLatin1String name) override { return name.latin1() != nullptr ? nullptr : static_cast<TAboutModule *>(this); }
    void connected(const QLatin1String name, I_MODULE *module) override;

    TAboutWindow *wid;
    QPushButton *pb;
};

#endif // SPLASHABOUTWINDOW_H
