#ifndef SHUTTLE_H
#define SHUTTLE_H

#include <QObject>
class ShuttleControllerNative: public QObject
{
    Q_OBJECT

signals:
    void button_press(int num);// 0..15
    void shuttle_position(int num);// -7..7 current position
    void wheel_event(int dir);// -1 left 1 right

public:
    ShuttleControllerNative(QObject *parent = nullptr);
    ~ShuttleControllerNative() override;
    void set_hid(int shuttle, int wheel_abs, long rawbuttons);

    int prev_wheel, prev_shuttle;
    bool prev_buttons[16];
    bool small_remap;
};

#endif //SHUTTLE_H
