#pragma once

#include <QtPlugin>
class ModuleManager;
class I_MODULE;
class QWidget;

class IModulePlugin
{
public:
    virtual void init(ModuleManager *mgr, void (ModuleManager::*funload)(I_MODULE *) = nullptr) = 0;
    virtual I_MODULE *getNew(QWidget * /*parent*/ = nullptr) { return nullptr; }
    virtual void shutdown() { }
};
Q_DECLARE_INTERFACE(IModulePlugin, "imp")
