#ifndef QDOUBLECLICKBUTTON_H
#define QDOUBLECLICKBUTTON_H

#include <QObject>
#include <QWidget>
#include <QPushButton>

class QGestureEvent;

class QDoubleClickButton : public QPushButton
{
    Q_OBJECT
public:
    explicit QDoubleClickButton(const QString &text, QWidget *parent = nullptr);

signals:
    void doubleClicked();

public slots:
    bool event(QEvent *event) override;
    void mouseDoubleClickEvent(QMouseEvent * Event) override;
    bool gestureEvent(QGestureEvent *event);
};

#endif // QDOUBLECLICKBUTTON_H
