#ifndef SCHARROWGROUNDING_H
#define SCHARROWGROUNDING_H

#include <QObject>
#include <QWidget>
#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>
#include <QLabel>

class schArrowGrounding : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schArrowGrounding(QWidget *parent = nullptr);
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    QLabel *textLabel;
    int triaRX;
    int triaRY;
    int triaW;
    int triaH;
    int triaLX;
    int triaLY;

signals:

public slots:
};

#endif // SCHARROWGROUNDING_H
