#ifndef SCHBIAS_H
#define SCHBIAS_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>
#include <QLabel>
#include "gui/edit.hpp"

class schBias : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schBias(QWidget *parent = nullptr);
    void recalcPoints() override;

    Edit *bias;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    int boxX;
    int boxY;
    int boxW;
    int boxH;
    QLabel *biasLabel;

signals:

public slots:
};

#endif // SCHBIAS_H
