#include "schedit.h"

schEdit::schEdit(double min, double max, int decimal, QWidget *parent) : Edit(min, max, decimal), AbstractInOutLines (1, 1)
{
    setParent(parent);
    updatePointsPosition();
}

void schEdit::updatePointsPosition()
{
    setPtsInXY(0, 2, height()*0.5);
    setPtsOutXY(0, width() - 2, height()*0.5);
}

void schEdit::recalcPoints()
{
    updatePointsPosition();
}

bool schEdit::event(QEvent *e)
{
    if (QEventResizedMoved(e))
        recalcPoints();

    return Edit::event(e);
}
