#ifndef SCHPOINT_H
#define SCHPOINT_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>

class schPoint : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schPoint(uint numIn, uint numOut, QWidget *parent = nullptr);
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    int center;

signals:

public slots:
};

#endif // SCHPOINT_H
